### Method

# Fwupd Client inhibit_async

#### Declaration [src]

    void
    fwupd_client_inhibit_async (
      FwupdClient* self,
      const gchar* reason,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer callback_data
    )

#### Description [src]

Marks all devices as unavailable for update. Update is only available if there is no other inhibit imposed by other applications or by the system (e.g. low power state).

The same application can inhibit the system multiple times.

Available since: | 1.8.11

#### Parameters

`reason` | `const gchar*`
| The inhibit reason, e.g. `user active`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| The function to run on completion.
| The argument can be `NULL`.
`callback_data` | `gpointer`
| The data to pass to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.